| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdatasrc.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jerror.h"`

Go to the source code of this file.

## Classes
struct | my_source_mgr

## Macros
#define | INPUT_BUF_SIZE 4096 /* choose an efficiently fread'able size */

## Typedefs
typedef my_source_mgr * | my_src_ptr

## Functions
| init_source (j_decompress_ptr cinfo)
| fill_input_buffer (j_decompress_ptr cinfo)
| skip_input_data (j_decompress_ptr cinfo, long num_bytes)
| term_source (j_decompress_ptr cinfo)
| jpeg_stdio_src (j_decompress_ptr cinfo, FILE *infile)

## Macro Definition Documentation

#define INPUT_BUF_SIZE 4096 /* choose an efficiently fread'able size */

Definition at line 35 of file jdatasrc.c.

## Typedef Documentation

typedef my_source_mgr* my_src_ptr

Definition at line 33 of file jdatasrc.c.

## Function Documentation

fill_input_buffer | ( | j_decompress_ptr | cinfo | ) |

Definition at line 90 of file jdatasrc.c.

init_source | ( | j_decompress_ptr | cinfo | ) |

Definition at line 44 of file jdatasrc.c.

jpeg_stdio_src | ( | j_decompress_ptr | cinfo,
|  | FILE * | infile
| ) |  |

Definition at line 182 of file jdatasrc.c.

skip_input_data | ( | j_decompress_ptr | cinfo,
|  | long | num_bytes
| ) |  |

Definition at line 128 of file jdatasrc.c.

term_source | ( | j_decompress_ptr | cinfo | ) |

Definition at line 169 of file jdatasrc.c.